package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.TipoInformativoComissaoDAO;
import com.rjconsultores.ventaboletos.entidad.TipoInformativoComissao;
import com.rjconsultores.ventaboletos.service.TipoInformativoComissaoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("tipoInformativoComissaoService")
public class TipoInformativoComissaoServiceImpl implements TipoInformativoComissaoService {

	@Autowired
	private TipoInformativoComissaoDAO tipoInformativoComissaoDAO;

	public List<TipoInformativoComissao> obtenerTodos() {
		return tipoInformativoComissaoDAO.obtenerTodos();
	}

	public TipoInformativoComissao obtenerID(Integer id) {
		return tipoInformativoComissaoDAO.obtenerID(id);
	}

	@Transactional
	public TipoInformativoComissao suscribir(TipoInformativoComissao entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return tipoInformativoComissaoDAO.suscribir(entidad);
	}

	@Transactional
	public TipoInformativoComissao actualizacion(TipoInformativoComissao entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return tipoInformativoComissaoDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(TipoInformativoComissao entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		tipoInformativoComissaoDAO.actualizacion(entidad);
	}

	@Override
	public Boolean existeTipoInformativo(TipoInformativoComissao tipo) {
		return tipoInformativoComissaoDAO.existeTipoInformativo(tipo);
	}

}
